[SCM] OCE packaging branch, upstream, updated. OCE-0.6.0-230-g17bea23

davyw davy.wouters at gmail.com
Fri Feb 24 18:50:28 UTC 2012


The following commit has been merged in the upstream branch:
commit 4376000edfe1304231e8f2cb1fa3421486cd89c8
Author: davyw <davy.wouters at gmail.com>
Date:   Sun Jan 15 14:17:20 2012 +0100

    Fixes ambiguity errors on bcc32 compiler for 'BRepLib_MakeFace'.
    ('BRepLib_MakeFace::operator TopoDS_Face()' and 'BRepLib_MakeShape::operator TopoDS_Shape')

diff --git a/src/BRepFill/BRepFill_Evolved.cxx b/src/BRepFill/BRepFill_Evolved.cxx
index b1a2edf..417bc45 100644
--- a/src/BRepFill/BRepFill_Evolved.cxx
+++ b/src/BRepFill/BRepFill_Evolved.cxx
@@ -361,7 +361,7 @@ void BRepFill_Evolved::Perform(const TopoDS_Wire&      Spine,
 			       const Standard_Boolean  Solid)
 {
   mySpineType = Standard_False;
-  TopoDS_Face aFace = BRepLib_MakeFace(Spine,Standard_True);
+  TopoDS_Face aFace = (TopoDS_Face) BRepLib_MakeFace(Spine,Standard_True);
   PrivatePerform( aFace, Profile, AxeProf, Join, Solid);
 }
 
@@ -2045,7 +2045,7 @@ void BRepFill_Evolved::AddTopAndBottom(BRepTools_Quilt& Glue)
     BRepAlgo_Loop Loop;
     // Construction des supports.
     gp_Pln S (0.,0.,1.,- Altitud(V[i]));
-    TopoDS_Face F = BRepLib_MakeFace(S);
+    TopoDS_Face F = (TopoDS_Face) BRepLib_MakeFace(S);
     Loop.Init(F);
 
     TopExp_Explorer     ExpSpine(mySpine,TopAbs_EDGE);
diff --git a/src/BRepOffset/BRepOffset_MakeOffset.cxx b/src/BRepOffset/BRepOffset_MakeOffset.cxx
index 05a8fb8..14d984c 100644
--- a/src/BRepOffset/BRepOffset_MakeOffset.cxx
+++ b/src/BRepOffset/BRepOffset_MakeOffset.cxx
@@ -2081,7 +2081,7 @@ void BRepOffset_MakeOffset::CorrectConicalFaces()
       {
 	Vfirst = -PI/2.; Vlast = p2d1.Y();
       }
-    TopoDS_Face NewSphericalFace = BRepLib_MakeFace(aSphSurf, Ufirst, Ulast, Vfirst, Vlast, Precision::Confusion());
+    TopoDS_Face NewSphericalFace = (TopoDS_Face) BRepLib_MakeFace(aSphSurf, Ufirst, Ulast, Vfirst, Vlast, Precision::Confusion());
     TopoDS_Edge OldEdge;
     for (Explo.Init(NewSphericalFace, TopAbs_EDGE); Explo.More(); Explo.Next())
       {
@@ -3028,7 +3028,7 @@ void BRepOffset_MakeOffset::MakeMissingWalls ()
 	      BB.Add(arcWire, EA2);
 	      BRepLib::BuildCurves3d( arcWire, myTol );
 	      arcWire.Closed(Standard_True);
-	      TopoDS_Face arcFace = BRepLib_MakeFace(arcWire, Standard_True);
+	      TopoDS_Face arcFace = (TopoDS_Face) BRepLib_MakeFace(arcWire, Standard_True);
 	      BRepTools::Update(arcFace);
 	      myWalls.Append(arcFace);
 	      TopoDS_Shape localEA2 = EA2.Oriented(TopAbs_FORWARD);
diff --git a/src/BRepOffset/BRepOffset_Tool.cxx b/src/BRepOffset/BRepOffset_Tool.cxx
index 4db9080..af89a95 100644
--- a/src/BRepOffset/BRepOffset_Tool.cxx
+++ b/src/BRepOffset/BRepOffset_Tool.cxx
@@ -375,7 +375,7 @@ static void BuildPCurves (const TopoDS_Edge&  E,
     {
       gp_Pnt fpoint = AC.Value( AC.FirstParameter() );
       gp_Pnt lpoint = AC.Value( AC.LastParameter() );
-      TopoDS_Face theFace = BRepLib_MakeFace( theSurf, Precision::Confusion() );
+      TopoDS_Face theFace = (TopoDS_Face) BRepLib_MakeFace( theSurf, Precision::Confusion() );
       Standard_Real U1 = 0., U2 = 0., TolProj = 1.e-4; //1.e-5;
       TopoDS_Edge theEdge;
       TopExp_Explorer Explo;
diff --git a/src/ChFi3d/ChFi3d_Builder_2.cxx b/src/ChFi3d/ChFi3d_Builder_2.cxx
index 3c1a8dd..f682739 100644
--- a/src/ChFi3d/ChFi3d_Builder_2.cxx
+++ b/src/ChFi3d/ChFi3d_Builder_2.cxx
@@ -997,7 +997,7 @@ static void  ChFi3d_BuildPlane (TopOpeBRepDS_DataStructure&    DStr,
     if  (theProp.IsNormalDefined()) {
       P =  theProp.Value();
       Handle(Geom_Plane) Pln  = new Geom_Plane(P, theProp.Normal());
-      TopoDS_Face        NewF = BRepLib_MakeFace(Pln, Precision::Confusion());
+      TopoDS_Face        NewF = (TopoDS_Face) BRepLib_MakeFace(Pln, Precision::Confusion());
       NewF.Orientation(F.Orientation());
       pons.SetCoord(0.,0.);
       HS->ChangeSurface().Initialize(NewF);

-- 
OCE packaging



More information about the debian-science-commits mailing list